# Copyright (c) 2020 Dave Love, University of Manchester
# MIT licence, per Fedora policy

Name:		gpcnet
Version:	1.2
Release:	2%{?dist}
Summary:	Global Performance and Congestion Network Test
License:	ASL 2.0
URL:		https://github.com/netbench/GPCNET
Source0:	https://github.com/netbench/GPCNET/archive/%version/gpcnet-%version.tar.gz

%global desc \
This HPC network benchmark suite consists of two applications:\
\
network_test: Full system network tests in random and natural ring,\
alltoall and allreduce\
\
network_load_test: Select full system network tests run with four\
congestors to measure network congestion or contention

%description
%desc

%package openmpi
Summary: Global Performance and Congestion Network Test
BuildRequires:	openmpi%{?el7:3}-devel
Requires: openmpi%{?el7:3}%{?_isa}

%description openmpi
%desc


%prep
%setup -q -n GPCNET-%version


%build
%if 0%{?el7}
%_openmpi3_load
%else
%_openmpi_load
%endif
%make_build all CC=mpicc FLAGS='%build_cflags -fcommon %build_ldflags'


%install
%if 0%{?el7}
%_openmpi3_load
%else
%_openmpi_load
%endif
mkdir -p %buildroot$MPI_BIN
install -m755 network_{,load_}test %buildroot$MPI_BIN


%files
%doc README.md
%license LICENSE
%_libdir/openmpi%{?el7:3}/bin/*


%changelog
* Fri Oct  2 2020 Dave Love <loveshack@fedoraproject.org> - 1.2-2
- Use -fcommon

* Fri Oct  2 2020 Dave Love <loveshack@fedoraproject.org> - 1.2-1
- Initial packaging
